Bug 8263 - Build fails with --with-fake-kaserver or --with-vfs-afsacl
Build fails with --with-fake-kaserver or --with-vfs-afsacl
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: File services
3.6.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-24 18:05 UTC by John Janosik
Modified: 2011-07-26 19:25 UTC (History)
1 user (show)

See Also:


Attachments
preliminary patch (6.48 KB, patch)
2011-06-30 15:21 UTC, Christian Ambach
no flags Details
Patchset for 3.6 (3.98 KB, patch)
2011-07-21 17:26 UTC, Christian Ambach
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Janosik 2011-06-24 18:05:22 UTC
The first failure seen is:

Compiling lib/afs.c
"lib/afs.c", line 91.16: 1506-007 (S) "struct afs_key" is undefined.
"lib/afs.c", line 238.49: 1506-285 (S) The indirection operator cannot be 
applied to a pointer to an incomplete struct or union.
"lib/afs.c", line 239.56: 1506-285 (S) The indirection operator cannot be 
applied to a pointer to an incomplete struct or union.
"lib/afs.c", line 240.37: 1506-285 (S) The indirection operator cannot be 
applied to a pointer to an incomplete struct or union.
"lib/afs.c", line 241.52: 1506-285 (S) The indirection operator cannot be 
applied to a pointer to an incomplete struct or union.
"lib/afs.c", line 238.33: 1506-280 (W) Function argument assignment 
between types "const char*" and "int" is not allowed.
"lib/afs.c", line 241.47: 1506-280 (W) Function argument assignment 
between types "const char*" and "int" is not allowed.
"lib/afs.c", line 247.25: 1506-285 (S) The indirection operator cannot be 
applied to a pointer to an incomplete struct or union.

I didn't save all the errors.  It seem includes have been removed from includes.h and need re-added to individual .c files.  It also looks like some struct members have changed names.  I updated the following files:

lib/afs.c
lib/afs_settoken.c
modules/vfs_afsacl.c
utils/net_afs.c

The patch I made is simple but I'll see if I can get someone to attach it.
Comment 1 Christian Ambach 2011-06-28 08:54:18 UTC
Volker, John send me a preliminary patch that I will polish
Comment 2 Christian Ambach 2011-06-30 15:21:26 UTC
Created attachment 6653 [details]
preliminary patch

John,

the attached patch fixes all compile errors and warnings for me with openafs-1.4.14 headers installed.

Can you check if it compiles for you and more important: AFS access works?
Comment 3 John Janosik 2011-06-30 16:25:45 UTC
I'm running on AIX with IBM AFS, so I won't be able to test the patch as-is.  I stripped out some of the code from the patch I sent you because it was specific to AIX and IBM AFS.  I didn't bother to write a configure check for it since I didn't think there is any demand outside of IBM for IBM AFS.  I'll test your patch + plus my changes and let you know.
Comment 4 John Janosik 2011-07-01 14:45:29 UTC
I updated my test servers with 3.6.0rc2 with this patch + the patch for 8254 + my changes for AIX/IBM AFS.  Access to AFS is working as expected.  I'll send the patch with my additional changes in case it helps you judge your patch as correct.  I think it is.
Comment 5 Christian Ambach 2011-07-21 17:26:53 UTC
Created attachment 6710 [details]
Patchset for 3.6

Here is a patchset for 3.6 that fixes all compile errors when using --with-fake- kaserver and the afsacl VFS module and also fixes the usage display of net afs
Comment 6 Karolin Seeger 2011-07-26 19:25:35 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!